#!/bin/sh
# This is /root/noob/startup_welcome_alarm.sh    (Covid version) ETP 28th August 2020
# Please if you wish, substitute your own desired handle for Earthling on line 13  (e.g. Barry)
# Optionally comment out the covid advice on line 9. (Line 39 can remain as is)
# EDIT: 02/11/21 "paws" changed to "hands" on line 9 + replacement code for xdotool mousemove --polar for EasyOS 3.1 + change from yaf-splash - ETP
# EDIT: 01/07/22 sleep command moved to top of script - ETP
# EDIT: 09/03/23 In addition to the welcome being spoken in your native tongue the translation is now also displayed on screen. Covid sdvice is removed in this mode. - ETP
# EDIT: 17/03/23 Line 11 changed From DISTRO_NAME to DISTRO_NAME_LONG to accomodate changes in EasyOS 5.1  - ETP
#
sleep 18 # May be reduced from default of 18 seconds to 15 or less if using an SSD,NVME or fast HD.  Also if using a static IP rather than DHCP.
os=`grep DISTRO_NAME_LONG /etc/DISTRO_SPECS | cut -d "'" -f 2`
version=`grep DISTRO_VERSION /etc/DISTRO_SPECS | cut -d "=" -f 2`
distro="This is $os, $version.";echo $distro
cognomen="Earthling"
echo $cognomen
day="Today is `date +%A`";echo $day
check=`date +%H`
echo $check
if [ $check -ge 05 -a $check -le 11 ]

then
        tod="Good morning $cognomen."

elif [ $check -ge 12 -a $check -le 17 ]

then
        tod="Good afternoon $cognomen."
else
        tod="Good evening $cognomen."
fi
player=mpv
alarmclip=/usr/share/audio/no_internet.mp3
#lang=fr # Uncomment for testing only & comment out the following line.
lang=`echo $LANG | cut -d_ -f1`
echo $lang
#
echo -e "GET http://google.com HTTP/1.0\n\n" | nc google.com 80 > /dev/null 2>&1
if [ $? -eq 0 ]; then
        trans -b -no-play en: :$lang "$tod $distro $day and Internet access is confirmed." > /root/translated.txt
        translated=$(< /root/translated.txt)
        trans -b -p -player $player en: :$lang "$tod $distro $day and Internet access is confirmed." &
        notify-send -t 18000 "$translated"
else
        /root/noob/box_splash_fixed_mod -bg red -fg white -close never -timeout 10 -fontsize 12 -text "---   WARNING: No Internet Connection   ---" &
        $player $alarmclip
fi
